# ImageryLayerFeatureInfo

#### new Cesium.ImageryLayerFeatureInfo()
Scene/ImageryLayerFeatureInfo.js 9

Describes a rasterized feature, such as a point, polygon, polyline, etc., in an imagery layer.

### Members

#### data : Object|undefined
Scene/ImageryLayerFeatureInfo.js 35

Gets or sets the raw data describing the feature. The raw data may be in any number of formats, such as GeoJSON, KML, etc.

#### description : String|undefined
Scene/ImageryLayerFeatureInfo.js 21

Gets or sets an HTML description of the feature. The HTML is not trusted and should be sanitized before display to the user.

#### imageryLayer : Object|undefined
Scene/ImageryLayerFeatureInfo.js 41

Gets or sets the image layer of the feature.

#### name : String|undefined
Scene/ImageryLayerFeatureInfo.js 14

Gets or sets the name of the feature.

#### position : Cartographic|undefined
Scene/ImageryLayerFeatureInfo.js 28

Gets or sets the position of the feature, or undefined if the position is not known.

### Methods

#### configureDescriptionFromProperties(properties)
Scene/ImageryLayerFeatureInfo.js 86

Configures the description of this feature by creating an HTML table of properties and their values.

Name | Type | Description
--- | --- | ---
`properties` | Object | An object literal containing the properties of the feature.

#### configureNameFromProperties(properties)
Scene/ImageryLayerFeatureInfo.js 52

Configures the name of this feature by selecting an appropriate property. The name will be obtained from one of the following sources, in this order: 1) the property with the name 'name', 2) the property with the name 'title', 3) the first property containing the word 'name', 4) the first property containing the word 'title'. If the name cannot be obtained from any of these sources, the existing name will be left unchanged.

Name | Type | Description
--- | --- | ---
`properties` | Object | An object literal containing the properties of the feature.